Bug 193982 - Review Request: osgal - Adapts OpenSceneGraph to use OpenAL++
Review Request: osgal - Adapts OpenSceneGraph to use OpenAL++
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 193934
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-03 17:34 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-03 17:34:50 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/osgal.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/osgal-20060410-2.src.rpm

Description:
osgAL is a toolkit for handling spatial (3D) sound in the OpenSceneGraph
rendering library.
Comment 1 Hans de Goede 2006-06-07 09:54:29 EDT
Hi,

Starting a review for this. I hope to be back soon with the actual review.
Comment 2 Hans de Goede 2006-06-07 10:20:03 EDT
MUST:
=====
* rpmlint output is clean 
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License (LGPL) ok, license file included
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel-i386
* BR: ok
* No locales
* ldconfig properly called for shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* proper -devel package as needed
* .la files not packaged
* no gui -> no .desktop file required

Questions/Remarks:
==================
* Whats this? : "/usr/lib/libosgdb_osgAL.so"
* What does the -version-info 1:0:0 in osgal-cvs-debian-01.dpatch do?


Approved!


Note You need to log in before you can comment on or make changes to this bug.